Performance Reporting
Performance Reporting entities and endpoints of the Amplify API.
There are a multitude of reporting endpoints that allow you to retrieve metrics at various levels of granularity.
Note: All performance reports have a 10-30 minutes delay, therefore performance metrics that include the current day are partial.
Rate Limits
Each marketer is limited to 30 requests per minute for the entire performance reporting API. In case of rate limit violation the response status will be 429 (Too Many Requests).
As of April 12, 2021 performance reporting is limited to a history of 3 years per data request.
Response structure
All reporting endpoints share a common response structure, defined below:
| Property | Type | Semantic | Comments |
|---|---|---|---|
results | Array | Metadata and Metrics of the entities returned. | Metadata is an object containing contextual properties of the report entity. The set of properties is specific for each end-point. |
totalResults | Number | Count of the total results (without filtering). | |
summary | Metrics | Total aggregated metrics for the set of data returned in this response (without filtering). | |
totalFilteredResults | Number | Count of the total results after filtering. | Optional, included for requests with filter parameter. |
summaryFiltered | Metrics | Aggregated metrics for the set of data returned in this response after filtering. | Optional, included for requests with filter parameter. |
Metrics
Object containing performance metric fields.
The spend field and all derived fields are based on the marketer currency, available in each of the marketer's budget object (see Budget).
| Property | Type | Semantic | Comments |
|---|---|---|---|
impressions | Number | Total number of PromotedLinks impressions across the entire query range. | |
viewableImpressions | Number | Total number of ad impressions that met the viewability standard. | Optional, included only when includeViewedImpressions is true. |
clicks | Number | Total PromotedLinks clicks across the entire query range. | |
ctr | Number | The average CTR (Click Through Rate) percentage across the entire query range (clicks / impressions)/100. | |
spend | Money | The total amount of money spent across the entire query range. | |
ecpc | Money (3 digits precision) | The effective (calculated) average CPC (Cost Per Click) across the entire query range spend / clicks. | |
totalConversions | Number | The total number of conversions calculated across the entire query range. | By default conversions are reported by time of conversion, there is an option to report by time of event (click or view) by setting conversionsByClickDate to true. |
conversions | Number | The total number of conversions from clicks calculated across the entire query range. | By default conversions are reported by time of conversion, there is an option to report by time of click by setting conversionsByClickDate to true. |
viewConversions | Number | The total number of view-through conversions calculated across the entire query range. | By default conversions are reported by time of conversion, there is an option to report by time of view by setting conversionsByClickDate to true. |
conversionRate | Number | The average rate of conversions from clicks per click percentage across the entire query range (conversions / clicks)/100. | |
viewConversionRate | Number | The average rate of view-through conversions per viewable impression percentage across the entire query range. | |
cpa | Number | The average CPA (Cost Per Acquisition) calculated for conversions from clicks across the entire query range spend / conversions. | |
totalCpa | Number | The average CPA (Cost Per Acquisition) calculated for all conversions across the entire query range spend / totalConversions. | |
totalSumValue | Money | The total amount of money reported for all conversions for the entire query range. | |
sumValue | Money | The total amount of money reported for conversions from clicks for the entire query range. | |
viewSumValue | Money | The total amount of money reported for view-through conversions for the entire query range. | |
totalAverageValue | Money | The average amount of money reported for all conversions for the entire query range totalSumValue / totalConversions. | |
averageValue | Money | The average amount of money reported for conversions from clicks for the entire query range sumValue / conversions. | |
viewAverageValue | Money | The average amount of money reported for view-through conversions for the entire query range viewSumValue / viewConversions. | |
roas | Number | Return On Ad Spend is your total conversion value attributed to clicks, divided by spend for the entire query range sumValue / spend | |
totalRoas | Number | Total Return On Ad Spend is your total conversion value attributed to clicks or views, divided by spend for the entire query range totalSumValue / spend | |
conversionMetrics | ConversionMetrics array | Metrics for each conversion pixel for the entire query range | Optional, included only when includeConversionDetails is true. |
cpm | Money | Cost per thousand impressions. Calculated by dividing the amount spent by the impressions multiplied by 1000. | |
dstFeeCost | Money | The Digital Services Tax (DST) that is added in some of your targeted countries. |
Conversion Metrics
Object containing performance metrics for conversion pixels.
| Property | Type | Semantic |
|---|---|---|
name | String | The conversion pixel name. |
totalConversions | Number | The total number of conversions for the conversion pixel. |
conversions | Number | The total number of conversions from clicks for the conversion pixel. |
viewsConversions | Number | The total number of view-through conversions for the conversion pixel. |
conversionRate | Number | The average rate of conversions from clicks per click percentage for the conversion pixel (conversions / clicks)/100. |
viewConversionRate | Number | The average rate of view-through conversions per viewable impressions percentage for the conversion pixel. |
cpa | Number | The average CPA (Cost Per Acquisition) calculated conversions from clicks for the conversion pixel from clicks spend / conversions. |
totalCpa | Number | The average CPA (Cost Per Acquisition) calculated for the conversion pixel from clicks spend / totalConversions. |
totalSumValue | Money | The total amount of money reported for all conversions for the conversion pixel totalSumValue / totalConversions. |
sumValue | Money | The total amount of money reported for conversions from clicks for the conversion pixel sumValue / conversions. |
viewSumValue | Money | The total amount of money reported for view-through conversions for the conversion pixel viewSumValue / viewConversions. |
totalAverageValue | Money | The average amount of money reported for all conversions for the conversion pixel totalSumValue / totalConversions. |
averageValue | Money | The average amount of money reported for conversions from clicks for the conversion pixel sumValue / conversions. |
viewAverageValue | Money | The average amount of money reported for view-through conversions for the conversion pixel viewSumValue / viewConversions. |
roas | Number | Return On Ad Spend is your total conversion value attributed to clicks, divided by spend for the conversion pixel sumValue / spend. |
totalRoas | Number | Total Return On Ad Spend is your total conversion value attributed to clicks or views, divided by spend for the conversion pixel totalSumValue / spend. |
In order to use conversion metric fields in sorting and filtering, the field name should be formatted as follows:
conversionMetrics/{conversionField}/{conversionName}, where {conversionField} is the conversion metric field name,
and {conversionName} is the conversion pixel name with all spaces replaced by '-'.
For example, the conversionRate field of a conversion pixel with the name "registration" is represented by conversionMetrics/conversionRate/registration.
The cpa field of a conversion pixel with the name "full event" is represented by conversionMetrics/cpa/full-event.
Apple SKAdNetwork conversions
Apple SKAdNetwork conversions have limited data and thus will not appear the same as standard Outbrain conversions: All Apple Conversions will be written at the time the data is received from the Apple servers. Apple Conversions will not be included in Conversion totals. This Data is available in Campaign, Month, Date, Day of Week, Publisher and Platform (under Mobile, iOS and in-app by default) reports.
To include Apple SKAdNetwork conversions metrics in the response add the following parameter to your request: includeAppleSkAdNetworkData=true.
The following properties will be added to the response's Metrics object.
| Property | Type | Semantic |
|---|---|---|
appleSKAdNetworkConversions | Number | The total number of conversions determined by Apple to be attributed to Outbrain. |
appleSKAdNetworkRedownload0 | Number | The number of conversions that are first time downloads as determined by Apple. |
appleSKAdNetworkRedownload1 | Number | The number of conversions that are redownloads, as determined by Apple. |
appleSKAdNetworkConversionValue | Number | Aggregate of the value passed for all conversions as determined by Apple. |
appleSKAdNetworkConversionAverageValue | Number | The average of the conversion value passed from Apple. |
Video (click-to-watch) metrics
Video metrics are not available for Interest report.
Note: The general measure of clicks for a click-to-watch campaign indicates the number of unique video plays across the requested date range.
This measure should not be confused with clicksOnVideo which indicates clicks happening after the video started playing.
To include video metrics in the response add the following parameter to your request: includeVideoStats=true.
The following properties will be added to the response's Metrics object.
| Property | Type | Semantic |
|---|---|---|
videoReachedFirstQ | Number | Indicates the number of views reaching 25% point in videos timeline. |
videoReachedSecondQ | Number | Indicates the number of views reaching 50% point in videos timeline. |
videoReachedThirdQ | Number | Indicates the number of views reaching 75% point in videos timeline. |
videoReachedCompletion | Number | Indicates the number of fully viewed videos. |
videoAvgViewDuration | Seconds | Indicates the average time users spend watching the video. |
clicksOnVideo | Number | Indicates the number of clicks on the video or on the CTA button during the playtime. |
videoActiveCompletions | Number | Indicates the number of user actions representing active completion (redirections or completions). |
videoActiveCompletionsPercentage | Number | Indicates the percentage of user actions representing active completion (redirections or completions) out of the total plays. |
videoPlays | Number | The number of all video plays (non unique). |
Request Structure
All reporting endpoints share common request parameters, defined below:
| Parameter | Type | Semantic | Details |
|---|---|---|---|
from | String | First date in requested date range, format "YYYY-MM-DD" | Required |
to | String | Last date in requested date range, format "YYYY-MM-DD" | Required |
limit | Number | Maximal number of results to return. | Optional, default 10, maximal value 500 |
offset | Number | The first result to return (number of results to skip). | Optional, default 0 |
sort | Object | Set the sorting order of results, defined below. | Optional |
filter | Object | Set filtering of results, defined below. | Optional |
includeArchivedCampaigns | Boolean | Include or ignore results from archived campaigns | Optional, default false |
budgetId | String | Limit to data of the budget with given ID | Optional |
campaignId | String | Limit to data of the campaign with given ID | Optional, takes precedence over budgetId |
includeConversionDetails | Boolean | Include or exclude conversion pixels metrics | Optional, default false |
conversionsByClickDate | Boolean | Conversion metrics reported by click date (true) or by conversion date (false) | Optional, default false |
###Sort Parameters The sort parameter contains a sort direction charachter, '+' for ascending and '-' for descending, followed by the name of the performance or metadata field to sort by. The list of specific fields relevant for each endpoint is given in its definition.
For example, '-spend' will sort results by spend value descending.
###Filter Parameters The following table describes the basic filter operators. The first example will filter campaigns leaving only those whose name is 'Campaign X'.
| Operator | Description | Example |
|---|---|---|
eq | Equal | /campaigns?filter=name eq 'Campaign X' |
ne | Not equal | /budgets?filter=name ne 'Budget Y' |
gt | Greater than | /publishers?filter=spend gt 20 |
ge | Greater than or equal | /sections?filter=clicks ge 10 |
lt | Less than | /campaigns?filter=conversions lt 20 |
le | Less than or equal | /content?filter=ctr le 0.1 |
and | Logical and | /campaigns?filter=spend gt 20 and clicks ge 10 |
or | Logical or | /sections?filter=conversions lt 20 or ctr le 0.1 |
not | Logical negation | /publishers?filter=not ecpc gt 1.0 |
You can chain filters with the and or or operators, for example clicks+gt+99+and+cpc+lt+0.7.
Nesting of Boolean operators is not supported currently.
The following table describes string comparison functions available in filtering. The first example will filter campaigns leaving only those whose name contains the string 'USA'.
| Function | Example | Comments |
|---|---|---|
substringof(searchInString, searchString) | substringof(name,'USA') | Name of filtered field given in 'searchInString'. Case insensitive. |
startswith(searchInString, prefixString) | startswith(name,'Desktop') | Name of filtered field given in 'searchInString'. Case insensitive. |
Full day of data
Return the last day for which the data in perfromance reports is complete. Result fields:
| Property | Type | Semantic |
|---|---|---|
fullDayDate | Date | Date of the last day with full performance data. |
modificationTime | Time | Modification time of the last day of full data. |
Endpoints
- Retrieve last day of full data —
GET /reports/fullDay
Data Freshness
Return the last timestamps for which the data in performance reports is available. Result fields:
| Property | Type | Semantic |
|---|---|---|
finalDataDate | Time | The last timestamp for which the data is complete, usually 0.5 - 1 hour delay. |
realTimeDataDate | Time | The last timestamp for which the data is in realtime and not yet finalized, usually 10-20 minutes delay. |
Endpoints
- Retrieve data freshness —
GET /reports/dataFreshness
Marketers
The API in this sub-section allows retrieving primary account marketers data with performance statistics.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Marketer ID. |
name | String | Marketer name. |
status | String | The marketer's delivery status: ACTIVE, DISABLED, INACTIVE (no spent in the last 30 days), PARTIALLY_ACTIVE (inactive campaign on air status) |
Endpoints
- Retrieve marketers with performance statistics for a Primary Account —
GET /reports/accounts/{primaryAccountId}/marketers
Campaigns
The API in this sub-section allows retrieving marketer campaigns data with performance statistics.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Campaign ID. |
name | String | Campaign name. |
campaignOnAir | Boolean | Is the campaign on air, same as campaignOnAir in Live Status. |
onAirReason | Campaign On Air Reason | The reason for the campaign on air status, same as onAirReason in Live Status. |
enabled | Boolean | Is the campaign enabled. |
budget | Budget | Partial Budget entity of a campaign. For full details use Budget. |
lastCappingTime | Time | Optional. Latest date and time the campaign was capped for selected date range. Data is available for up to 30 days ago. |
cpc | Money | Cost per monetized user action (for example cost per click). See Currencies for valid cost values. |
creativeFormat | Campaign creative format | The campaign creative format. |
Endpoints
- Retrieve campaigns with performance statistics for a Marketer —
GET /reports/marketers/{id}/campaigns
Promoted Content
The API in this sub-section allows retrieving performance statistics by promoted link at different levels: marketer, budget, campaign and promoted link.
This new endpoint also supports promoted links that are creative format: CAROUSEL and APP_INSTALL, these were previously excluded from the original Content endpoint. Please note that this endpoint is replacing the previous Content endpoint which will be removed by October 2022.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | The ID of the PromotedLink. |
sequenceId | String | The ID of the PromotedLinkSequence. |
title | String | The title of the PromotedLink. |
creationTime | Date | The time when the PromotedLink was created. |
lastModified | Date | The time when the PromotedLink was last modified. |
url | String | The URL visitors will be sent to upon clicking the PromotedLink. |
status | PromotedLink Review Status | Deprecated, use approvalStatus instead. The review status of the PromotedLink. |
approvalStatus | PromotedLink Approval Status | The approval status of the PromotedLink. |
enabled | Boolean | Will this PromotedLink be served. |
cachedLogoUrl | String | The URL of the PromotedLink's logo image, cached on Outbrain's servers. |
campaignId | String | The ID of the campaign to which the PromotedLink belongs. |
campaignName | String | The name of the campaign to which the PromotedLink belongs. |
sectionName | String | The section name of the site the PromotedLink URL points to. |
cpcAdjustment | Number | CPC adjustment bid of this PromotedLink for campaign given by the campaignId parameter (optional). |
creativeFormat | Campaign creative format | The creative format of the campaign to which the PromotedLink belongs to. |
imageMetadata | Image Meta Data | PromotedLink's image metadata |
metadata | String | non-serving reference name of the PromotedLink (optional) |
Special request parameters
| Parameter | Type | Semantic | Details |
|---|---|---|---|
promotedLinkId | String | Limit to data of the promoted link with given ID | Optional, takes precedence over budgetId and campaignId |
sequenceId | String | Limit to data of the promoted link sequence with given ID | Optional, takes precedence over budgetId and campaignId |
limit | Number | Maximal number of results to return. | Optional, default 10, maximal value 1000 |
Endpoints
- Retrieve promoted content links performance statistics for a Marketer —
GET /reports/marketers/{id}/promotedContent
Periodic
The API in this sub-section allows retrieving performance statistics by periodic breakdown at different levels: marketer, budget, campaign and promoted link.
Special request parameters
| Parameter | Type | Semantic | Details |
|---|---|---|---|
breakdown | String | Defines the periodic breakdown of data, either daily, weekly, monthly, hourOfDay, dayOfWeek or dayOfWeekByHour. | Optional, default value daily. |
promotedLinkId | String | Limit to data of the promoted link with given ID. | Optional, takes precedence over budgetId and campaignId. Not allowed with hourOfDay or dayOfWeekByHour breakdown. |
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Supported Breakdowns | Semantic |
|---|---|---|---|
id | String | All | date range identifier (month in format 'yyyy-MM' or start date in format 'yyyy-MM-dd', or day of week and hour in format 'd-HH') |
fromDate | Date | daily, weekly, monthly | The first day of the result date period. |
toDate | Date | daily, weekly, monthly | The last day of the result date period (inclusive). |
lastCappingTime | Time portion of Time, in format "HH:mm:ss". | daily for a single campaign. | Optional. The time the campaign was capped during that date. Data is available for up to 30 days ago. |
hourOfDay | String | hourOfDay, dayOfWeekByHour | The day of the week (Monday, Tuesday, etc.) of the result period. |
dayOfWeek | Hour Of Day | dayOfWeek, dayOfWeekByHour | The hour of day of the result period. |
cpcAdjustment | Number | dayOfWeekByHour | CPC adjustment bid of this day and hour for campaign given by the campaignId parameter (optional). |
enabled | Boolean | dayOfWeekByHour | The scheduling status of this day and hour for campaign given by the campaignId parameter (optional). |
Endpoints
- Retrieve periodic performance statistics for a Marketer —
GET /reports/marketers/{id}/periodic
Periodic by campaign
A special endpoint for retrieving periodic data by campaign breakdown. Now supports all breakdowns: daily, weekly, monthly, hourOfDay, dayOfWeek and dayOfWeekByHour.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have periodic results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Periodic request, and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by periodic breakdown —
GET /reports/marketers/{id}/campaigns/periodic
Periodic by campaign hourly
A special endpoint for retrieving periodic data by campaign in hourly breakdown.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have periodic results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Periodic request, and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by periodic hourly breakdown —
GET /reports/marketers/{id}/campaigns/periodicHourly
Periodic by campaign minutely
A special endpoint for retrieving periodic data by campaign in minutely breakdown.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have periodic results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Periodic request, and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by periodic minutely breakdown —
GET /reports/marketers/{id}/campaigns/periodicMinutely
Periodic content
A special endpoint for retrieving periodic data by promoted link breakdown for a given campaign.
Note: The response structure defers from other performance responses.
The reponse contains only promoted links that have periodic results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
promotedLinkResults | Array | Results for the campaign promoted links. Each object in the array contains results and totalResults field similar to the response of the Periodic request, and an additional promotedLinkId field with the campaign ID. |
totalPromotedLinks | Number | Count of the total promoted links in the promotedLinkResults array. |
Endpoints
- Retrieve periodic performance statistics by promoted link for a campaign —
GET /reports/marketers/{id}/campaigns/{campaignId}/periodicContent
Periodic content hourly
An endpoint for retrieving periodic data by promoted link for a given campaign in an hourly breakdown - limited to last 48 hours.
Note: The response structure defers from other performance responses.
The reponse contains only promoted links that have periodic results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
promotedLinkResults | Array | Results for the campaign promoted links. Each object in the array contains results and totalResults field similar to the response of the Periodic request, and an additional promotedLinkId field with the campaign ID. |
totalPromotedLinks | Number | Count of the total promoted links in the promotedLinkResults array. |
Endpoints
- Retrieve hourly periodic performance statistics by promoted link for a campaign —
GET /reports/marketers/{id}/campaigns/{campaignId}/periodicContentHourly
Publishers
Publisher: A content site that displays Outbrain recommendations on which your promoted content appeared.
The API in this sub-section allows retrieving marketer performance statistics with breakdown by publisher with publishers that are already blocked at the marketer or campaign level.
Result Fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Publisher Identifier. |
name | String | Publisher Name. |
blockStatus | Block status | Blocking status of the publisher. |
blockTypes | Block types | Block types and their value for the publisher. |
url | String | Publisher's site URL (optional). |
isOen | Boolean | Is this an OEN (Outbrain Extended Network) publisher. (Planned removal October 18th) |
Endpoints
- Retrieve performance statistics for a Marketer by publisher —
GET /reports/marketers/{id}/publishers
Publishers by campaign
A special endpoint for retrieving publishers data by campaign breakdown.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have publishers results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Publishers request (except for the blockStatus and blockTypes fields in the metadata field of each result), and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by publisher —
GET /reports/marketers/{id}/campaigns/publishers
Sections
Section: A specific content section within the publisher's site such as sports, business etc.
The API in this sub-section allows retrieving marketer performance statistics with breakdown by section with sections that are already blocked at the marketer or campaign level.
Note: Sections with less than 1 click or less than 10 impressions will not show up in the results.
Result Fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Section Identifier. |
name | String | Section Name. |
publisherId | String | Identifiers of the publisher related to the section. |
publisherName | String | Name of the publisher related to the section. |
cpcAdjustment | Number | CPC adjustment bid of this section for campaign given by the campaignId parameter (optional). |
blockStatus | Block status | Blocking status of the section. |
blockTypes | Block types | Block types and their value for the section. |
publisherUrl | String | URL of this section's publisher (optional). |
isOen | Boolean | Is this an OEN (Outbrain Extended Network) section. (Planned removal October 18th) |
Endpoints
- Retrieve performance statistics for a Marketer by section —
GET /reports/marketers/{id}/sections
Sections by campaign
A special endpoint for retrieving sections data by campaign breakdown.
Note: The response structure defers from other performance responses.
Note 2: Sections with less than 1 click or less than 10 impressions will not show up in the results.
The reponse contains only campaigns that have sections results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Sections request (except for the cpcAdjustment, blockStatus and blockTypes fields in the metadata field of each result), and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by section —
GET /reports/marketers/{id}/campaigns/sections
Sections by date
Endpoint for retrieving sections data by date in a daily breakdown.
Note: The response structure defers from other performance responses.
Note2: Sections with less than 1 click or less than 10 impressions will not show up in the results.
| Property | Type | Semantic |
|---|---|---|
results | Array | Results for the daily breakdown. Each object in the array contains date, sections and totalResults field similar to the response of the Sections request (except for the cpcAdjustment, blockStatus and blockTypes fields in the metadata field of each result). |
total | Number | Count of the total sections in the results array. The returned values will be only the paginated data according the the offset and limit inputs. |
Endpoints
- Retrieve performance statistics for all marketer sections by dates —
GET /reports/marketers/{id}/sections/date
Sections by date hourly
Endpoint for retrieving sections data by date in a hourly breakdown (last 48 hours).
Note: The response structure defers from other performance responses.
Note2: Sections with less than 1 click or less than 10 impressions will not show up in the results.
| Property | Type | Semantic |
|---|---|---|
results | Array | Results for the daily breakdown. Each object in the array contains date, sections and totalResults field similar to the response of the Sections request (except for the cpcAdjustment, blockStatus and blockTypes fields in the metadata field of each result). |
total | Number | Count of the total sections in the results array. The returned values will be only the paginated data according the the offset and limit inputs. |
Endpoints
- Retrieve performance statistics for all marketer sections by dates hourly —
GET /reports/marketers/{id}/sections/dateHourly
Sections by date minutely
Endpoint for retrieving sections data by date in a minutely breakdown (last 360 minutes).
Note: The response structure defers from other performance responses.
Note2: Sections with less than 1 click or less than 10 impressions will not show up in the results.
| Property | Type | Semantic |
|---|---|---|
results | Array | Results for the daily breakdown. Each object in the array contains date, sections and totalResults field similar to the response of the Sections request (except for the cpcAdjustment, blockStatus and blockTypes fields in the metadata field of each result). |
total | Number | Count of the total sections in the results array. The returned values will be only the paginated data according the the offset and limit inputs. |
Endpoints
- Retrieve performance statistics for all marketer sections by dates minutely —
GET /reports/marketers/{id}/sections/dateMinutely
Platforms
The API in this sub-section allows retrieving performance statistics by platform at different levels: marketer, budget, and campaign.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
platform | String | The result platform, one of DESKTOP, TABLET or MOBILE. |
breakdown | String | The result breakdown, one of os, browser or platform for no breakdown. |
name | String | The result breakdown name when breakdown was requested. For example: Chrome for browser breakdown, MacOs for os breakdown. All possible options are available here: Operating System, Browser. |
Endpoints
- Retrieve performance statistics for a Marketer by platform —
GET /reports/marketers/{id}/platforms
Platforms by campaign
A special endpoint for retrieving platforms data by campaign breakdown.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have platforms results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Platforms request, and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Endpoints
- Retrieve performance statistics for all marketer campaigns by platform —
GET /reports/marketers/{id}/campaigns/platforms
Geo
The API in this sub-section allows retrieving performance statistics by geographic breakdown at different levels: country, region, and DMA.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Geo entity ID. |
name | String | Geo entity name. |
code | String | Geo entity code. |
locationsVersion | String | (Optional for region) The region's inventory. V1 for FIPS and V2 for ISO-3166. |
countryId | String | (Optional for region, DMA or subregion) The country id of the specific region, DMA or subregion. |
countryName | String | (Optional for region, DMA or subregion) The country name of the specific region, DMA or subregion. |
countryCode | String | (Optional for region, DMA or subregion) The country code of the specific region, DMA or subregion. |
regionId | String | (Optional for subregion) The region id of the specific subregion. |
regionName | String | (Optional for subregion) The region name of the specific subregion. |
regionCode | String | (Optional for subregion) The region code of the specific subregion. |
Special request parameters
| Parameter | Type | Semantic | Details |
|---|---|---|---|
breakdown | String | Defines the geo breakdown of data, either country, region, DMA or subregion. | Mandatory |
Endpoints
- Retrieve geo performance statistics for a Marketer —
GET /reports/marketers/{id}/geo
Geo by campaign
A special endpoint for retrieving geo data by campaign breakdown.
Note: The response structure defers from other performance responses.
The reponse contains only campaigns that have geo results given the offset and limit, in the following two objects:
| Property | Type | Semantic |
|---|---|---|
campaignResults | Array | Results for the marketer campaigns. Each object in the array contains results and totalResults field similar to the response of the Geo request, and an additional campaignId field with the campaign ID. |
totalCampaigns | Number | Count of the total campaigns in the campaignResults array. |
Special request parameters
| Parameter | Type | Semantic | Details |
|---|---|---|---|
breakdown | String | Defines the geo breakdown of data, either country, region or DMA. | Mandatory |
Endpoints
- Retrieve performance statistics for all marketer campaigns by geo —
GET /reports/marketers/{id}/campaigns/geo
Interests
The API in this sub-section allows retrieving performance statistics by interest at different levels: marketer and campaign.
In all other performance reporting endpoints each user action (impression, click or conversion) is attributed to a single entity, for example campaign, section or region.
Interests behave differently, since users can have multiple interests in their Outbrain Interest Profile and therefore data repeats between interests. For example, a user may be interested in both health and politics and so an impression, click or conversion will be attributed to both interests. As a result, the sum of the total interests reported does not represent the actual sum of action taken.
Therefore, the summary and summaryFiltered metrics are not included in the response of
interest performance reports.
Result fields
Metrics in metrics, metadata in a metadata object containing the following fields:
| Property | Type | Semantic |
|---|---|---|
id | String | Interest id. |
name | String | The name of the interest. Interests with hierarchy are given with a '>' symbol separating the interests level, for example 'News > Weather'. |
targetingStatus | String | The targeting status of the interest, one of targeted, excluded, notTargeted, partiallyTargeted or partiallyExcluded. |
Endpoints
- Retrieve performance statistics for a Marketer by interest —
GET /reports/marketers/{id}/interests